var Helpers, crypto, days, markdown, months, pad;
markdown = require('node-markdown').Markdown;
crypto = require('crypto');
pad = require('./utils').pad;
months = ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"];
days = ["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"];
module.exports = Helpers = (function() {
  function Helpers() {}
  Helpers.markdown = function(str) {
    return markdown(str);
  };
  Helpers.summary = function(body, seperator, trimmer) {
    if (seperator == null) {
      seperator = '<!-- more -->';
    }
    if (trimmer == null) {
      trimmer = '&hellip;';
    }
    return body.split(seperator)[0].replace(/\.$/, trimmer);
  };
  Helpers.gravatar = function(email, size) {
    if (size == null) {
      size = 50;
    }
    return 'http://www.gravatar.com/avatar/' + crypto.createHash('md5').update(email.trim().toLowerCase()).digest('hex') + ("?r=pg&s=" + size + ".jpg&d=identicon");
  };
  Helpers.prettyDate = function(date) {
    return months[date.getUTCMonth()] + ' ' + date.getUTCDate() + ', ' + date.getUTCFullYear();
  };
  Helpers.isoDate = function(date) {
    return date.getUTCFullYear() + '-' + pad(date.getUTCMonth() + 1) + '-' + pad(date.getUTCDate());
  };
  Helpers.rfc822Date = function(date) {
    return days[date.getUTCDay()].slice(0, 3) + ', ' + pad(date.getUTCDate()) + ' ' + months[date.getUTCMonth()].slice(0, 3) + ' ' + date.getUTCFullYear() + ' ' + pad(date.getUTCHours()) + ':' + pad(date.getUTCMinutes()) + ':' + pad(date.getUTCSeconds()) + ' ' + 'GMT';
  };
  return Helpers;
})();