var fs, haml;
fs = require('fs');
haml = require('hamljs');
module.exports.merge = function(a, b) {
  var k, o, v;
  o = {};
  for (k in a) {
    v = a[k];
    o[k] = v;
  }
  for (k in b) {
    v = b[k];
    o[k] = v;
  }
  return o;
};
module.exports.renderHamlFile = function(filename, encoding, options, callback) {
  options || (options = {});
  options.filename || (options.filename = filename);
  if (!options.hasOwnProperty('cache')) {
    options.cache = true;
  }
  if (haml.cache[filename] && options.cache) {
    return process.nextTick(function() {
      return callback(null, haml.render(null, options));
    });
  } else {
    return fs.readFile(filename, encoding, function(err, str) {
      if (err) {
        return callback(err);
      } else {
        return callback(null, haml.render(str, options));
      }
    });
  }
};
module.exports.pad = function(i) {
  if (i < 10) {
    return "0" + i.toString();
  } else {
    return i.toString();
  }
};
module.exports.slug = function(str) {
  var char, from, i, to, _len;
  str = str.replace(/^\s+|\s+$/g, '');
  str = str.toLowerCase();
  from = 'àáäâèéëêìíïîòóöôùúüûñç·/_,:;';
  to = 'aaaaeeeeiiiioooouuuunc------';
  for (i = 0, _len = from.length; i < _len; i++) {
    char = from[i];
    str = str.replace(new RegExp(char, 'g'), to.charAt(i));
  }
  str = str.replace(/[^a-z0-9\s\-]/g, '');
  str = str.replace(/\s+/g, '-');
  str = str.replace(/-+/g, '-');
  return str;
};