var Helpers, View, haml, markdown, utils;
haml = require('hamljs');
utils = require('./utils');
markdown = require('node-markdown').Markdown;
Helpers = require('./helpers');
module.exports = View = (function() {
  function View(name, encoding, options) {
    this.name = name;
    this.encoding = encoding;
    this.options = options != null ? options : {};
    this.file = View.includePath() + '/' + this.name + View.extension();
  }
  View._includePath = '';
  View.includePath = function(includePath) {
    if (includePath == null) {
      includePath = null;
    }
    if (arguments.length > 0) {
      return View._includePath = includePath;
    } else {
      return View._includePath;
    }
  };
  View._extension = '.haml';
  View.extension = function(extension) {
    if (extension == null) {
      extension = null;
    }
    if (arguments.length > 0) {
      return View._extension = extension;
    } else {
      return View._extension;
    }
  };
  View._globals = {};
  View.globals = function(globals) {
    if (globals == null) {
      globals = null;
    }
    if (arguments.length > 0) {
      return View._globals = globals;
    } else {
      return View._globals;
    }
  };
  View.renderFile = utils.renderHamlFile;
  View.prototype.render = function(res, locals, callback) {
    var layoutFile, options, that;
    layoutFile = View.includePath() + '/layout.haml';
    that = this;
    options = utils.merge(this.options, {
      locals: View.globals()
    });
    return this.partial(locals, function(err, data) {
      options.locals = utils.merge(options.locals, locals);
      options.locals.body = data;
      options.locals.__proto__ = Helpers;
      return View.renderFile(layoutFile, that.encoding, options, function(err, data) {
        if (err) {
          return callback(err);
        }
        res.writeHead(200, {
          'content-type': 'text/html'
        });
        res.end(data);
        return callback();
      });
    });
  };
  View.prototype.partial = function(locals, callback) {
    var options, templateFile;
    templateFile = this.file;
    locals = utils.merge(View.globals(), locals);
    options = utils.merge(this.options, {
      locals: locals
    });
    options.locals.__proto__ = Helpers;
    return View.renderFile(templateFile, this.encoding, options, function(err, data) {
      if (err) {
        return callback(err);
      }
      return callback(null, data);
    });
  };
  return View;
})();